From fad7d19912aedfe7a6824cea59bc67ac8e56971a Mon Sep 17 00:00:00 2001
From: wujian_nanjing <wujian2@huawei.com>
Date: Mon, 27 Jun 2022 20:03:12 +0800
Subject: [PATCH] libavcodec\v4l2_m2m.c: avcodec/v4l2_m2m: Check if the file
 descriptor is valid before closing

---
 libavcodec/v4l2_m2m.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/libavcodec/v4l2_m2m.c b/libavcodec/v4l2_m2m.c
index 51932ba..9849360 100644
--- a/libavcodec/v4l2_m2m.c
+++ b/libavcodec/v4l2_m2m.c
@@ -251,7 +251,8 @@ static void v4l2_m2m_destroy_context(void *opaque, uint8_t *context)
     ff_v4l2_context_release(&s->capture);
     sem_destroy(&s->refsync);
 
-    close(s->fd);
+    if (s->fd >= 0)
+        close(s->fd);
     av_frame_unref(s->frame);
     av_frame_free(&s->frame);
     av_packet_unref(&s->buf_pkt);
-- 
2.7.4

